AIServiceDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.AIServiceDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class AIServiceDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.dao.AIServiceDAO

    public class AIServiceDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AIServiceDAO(DAOFactory f)`

Method Summary
`AIService` | `create(AIServiceValue sv)`
`AIService` | `findById(java.lang.Integer id)`
`AIService` | `findByName(java.lang.String name)`
`java.util.Collection` | `findByType(java.lang.String stName)`
`void` | `remove(AIService entity)`
`void` | `save(AIService entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIServiceDAO

    public AIServiceDAO(DAOFactory f)

Method Detail

### findById

    public AIService findById(java.lang.Integer id)

### save

    public void save(AIService entity)

### remove

    public void remove(AIService entity)

### create

    public AIService create(AIServiceValue sv)

### findByType

    public java.util.Collection findByType(java.lang.String stName)

### findByName

    public AIService findByName(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.